Tonyu.klass.define({
  fullName: 'user.Battle_Command',
  shortName: 'Battle_Command',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Label,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Battle_Command_main() {
        "use strict";
        var _this=this;
        
        _this.align="center middle";
        _this.fillStyle=_this.color(255,255,255);
        _this.ctx=Tonyu.globals.$panel.getContext();
        _this.ctx.font=_this.size+"px ''";
        _this.def_size=_this.size;
        _this.width=_this.ctx.measureText(_this.text).width;
        _this.height=_this.ctx.measureText(_this.text).height;
        while (true) {
          Tonyu.checkLoop();
          if (Tonyu.globals.$touches[0].touched==1&&_this.abs(Tonyu.globals.$touches[0].x-_this.x)<_this.width/2&&_this.abs(Tonyu.globals.$touches[0].y-_this.y)<_this.height/2) {
            _this.parallel(Tonyu.bindFunc(_this,_this.be_touched));
            _this.parent.action=_this.action;
            
          }
          _this.update();
          
        }
      },
      fiber$main :function _trc_Battle_Command_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.align="center middle";
        _this.fillStyle=_this.color(255,255,255);
        _this.ctx=Tonyu.globals.$panel.getContext();
        _this.ctx.font=_this.size+"px ''";
        _this.def_size=_this.size;
        _this.width=_this.ctx.measureText(_this.text).width;
        _this.height=_this.ctx.measureText(_this.text).height;
        
        _thread.enter(function _trc_Battle_Command_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              if (Tonyu.globals.$touches[0].touched==1&&_this.abs(Tonyu.globals.$touches[0].x-_this.x)<_this.width/2&&_this.abs(Tonyu.globals.$touches[0].y-_this.y)<_this.height/2) {
                _this.parallel(Tonyu.bindFunc(_this,_this.be_touched));
                _this.parent.action=_this.action;
                
              }
              _this.fiber$update(_thread);
              __pc=2;return;
            case 2:
              
              __pc=1;break;
            case 3     :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      be_touched :function _trc_Battle_Command_be_touched() {
        "use strict";
        var _this=this;
        
        _this.alpha=255;for (; _this.alpha>144 ; _this.alpha-=20) {
          Tonyu.checkLoop();
          {
            _this.update();
            _this.size--;
          }
        }
        _this.alpha=144;for (; _this.alpha<255 ; _this.alpha+=20) {
          Tonyu.checkLoop();
          {
            _this.update();
            _this.size++;
          }
        }
        _this.alpha=255;
        _this.size=_this.def_size;
      },
      fiber$be_touched :function _trc_Battle_Command_f_be_touched(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        
        _thread.enter(function _trc_Battle_Command_ent_be_touched(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
              _this.alpha=255;
            case 1:
              if (!(_this.alpha>144)) { __pc=4     ; break; }
              _this.fiber$update(_thread);
              __pc=2;return;
            case 2:
              
              _this.size--;
            case 3     :
              _this.alpha-=20;
              __pc=1;break;
            case 4     :
              
              _this.alpha=144;
            case 5:
              if (!(_this.alpha<255)) { __pc=8     ; break; }
              _this.fiber$update(_thread);
              __pc=6;return;
            case 6:
              
              _this.size++;
            case 7     :
              _this.alpha+=20;
              __pc=5;break;
            case 8     :
              
              _this.alpha=255;
              _this.size=_this.def_size;
              _thread.exit(_this);return;
            }
          }
        });
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"be_touched":{"nowait":false}},"fields":{"ctx":{},"def_size":{},"parent":{},"action":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Battle_Effect',
  shortName: 'Battle_Effect',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Battle_Effect_main() {
        "use strict";
        var _this=this;
        
        _this.pw=Tonyu.globals.$imageList[_this.p].width;
        _this.ph=Tonyu.globals.$imageList[_this.p].height;
        if (_this.pw==640) {
          _this.x=Tonyu.globals.$sw/2;
        }
        switch (_this.p) {
        case Tonyu.globals.$pat_cut:
          _this.files=5;
          break;
          
        case Tonyu.globals.$pat_drain:
          _this.files=10;
          break;
          
        case Tonyu.globals.$pat_sting:
          _this.files=10;
          break;
          
        case Tonyu.globals.$pat_whip:
          _this.files=10;
          break;
          
        case Tonyu.globals.$pat_sting2:
          _this.files=10;
          break;
          
        case Tonyu.globals.$pat_guard:
          _this.files=10;
          break;
          
        case Tonyu.globals.$pat_guardend:
          _this.files=10;
          break;
          
        }
        _this.i=0;for (; _this.i<_this.files-1 ; _this.i++) {
          Tonyu.checkLoop();
          {
            _this.updateEx(3);
            _this.p++;
          }
        }
        _this.updateEx(3);
        _this.die();
      },
      fiber$main :function _trc_Battle_Effect_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.pw=Tonyu.globals.$imageList[_this.p].width;
        _this.ph=Tonyu.globals.$imageList[_this.p].height;
        if (_this.pw==640) {
          _this.x=Tonyu.globals.$sw/2;
        }
        switch (_this.p) {
        case Tonyu.globals.$pat_cut:
          _this.files=5;
          break;
          
        case Tonyu.globals.$pat_drain:
          _this.files=10;
          break;
          
        case Tonyu.globals.$pat_sting:
          _this.files=10;
          break;
          
        case Tonyu.globals.$pat_whip:
          _this.files=10;
          break;
          
        case Tonyu.globals.$pat_sting2:
          _this.files=10;
          break;
          
        case Tonyu.globals.$pat_guard:
          _this.files=10;
          break;
          
        case Tonyu.globals.$pat_guardend:
          _this.files=10;
          break;
          
        }
        
        _thread.enter(function _trc_Battle_Effect_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
              _this.i=0;
            case 1:
              if (!(_this.i<_this.files-1)) { __pc=4     ; break; }
              _this.fiber$updateEx(_thread, 3);
              __pc=2;return;
            case 2:
              
              _this.p++;
            case 3     :
              _this.i++;
              __pc=1;break;
            case 4     :
              
              _this.fiber$updateEx(_thread, 3);
              __pc=5;return;
            case 5:
              
              _this.die();
              _thread.exit(_this);return;
            }
          }
        });
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{"pw":{},"ph":{},"files":{},"i":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Battle_Observer',
  shortName: 'Battle_Observer',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Battle_Observer_main() {
        "use strict";
        var _this=this;
        
        _this.nx=_this.x;
        _this.ny=_this.y;
        _this.Enemy=[];
        _this.Enemy.push(Tonyu.globals.$pat_kinoko);
        _this.Battle_now=1;
        while (true) {
          Tonyu.checkLoop();
          while (_this.Battle_now==1) {
            Tonyu.checkLoop();
            _this.exp=0;
            _this.sChange(0,_this.color_change);
            if (_this.pat==1) {
              _this.p=Tonyu.globals.$pat_Fire_Forest;
              
            }
            _this.update();
            Tonyu.globals.$players=[[],[],[]];
            switch (Tonyu.globals.$Party.length) {
            case 1:
              _this.MatrixX=[Tonyu.globals.$sw/2];
              break;
              
            case 2:
              _this.MatrixX=[Tonyu.globals.$sw/2-100,Tonyu.globals.$sw/2+100];
              break;
              
            }
            _this.i=0;for (; _this.i<Tonyu.globals.$players.length ; _this.i++) {
              Tonyu.checkLoop();
              {
                if (_this.i<Tonyu.globals.$Party.length) {
                  Tonyu.globals.$players[_this.i][1]=new Tonyu.classes.user.Battle_Player({x: _this.MatrixX[_this.i],y: Tonyu.globals.$sh/7*6,p: Tonyu.globals.$pat_window3+0,Name: Tonyu.globals.$Party[_this.i],scaleX: 1.5,order: _this.i});
                } else {
                  Tonyu.globals.$players.splice(_this.i);
                  break;
                  
                  
                }
              }
            }
            _this.update();
            _this.i=0;for (; _this.i<Tonyu.globals.$players.length ; _this.i++) {
              Tonyu.checkLoop();
              {
                Tonyu.globals.$players[_this.i][0]=Tonyu.globals.$players[_this.i][1].spd;
              }
            }
            Tonyu.globals.$enemys=[[],[],[],[],[]];
            if (_this.Enemy.length%2==0) {
              _this.MatryxX=[_this.nx-70,_this.nx+70,_this.nx-210,_this.nx+210];
            } else {
              _this.MatryxX=[_this.nx,_this.nx+140,_this.nx-140,_this.nx+280,_this.nx-280];
            }
            _this.i=0;for (; _this.i<Tonyu.globals.$enemys.length ; _this.i++) {
              Tonyu.checkLoop();
              {
                if (_this.i<_this.Enemy.length) {
                  Tonyu.globals.$enemys[_this.i][1]=new Tonyu.classes.user.Battle_Enemy({x: _this.MatryxX[_this.i],y: Tonyu.globals.$sh/3*2,p: _this.Enemy[_this.i],align: "middle bottom",order: _this.i});
                } else {
                  Tonyu.globals.$enemys.splice(_this.i);
                  break;
                  
                  
                }
              }
            }
            _this.update();
            _this.i=0;for (; _this.i<Tonyu.globals.$enemys.length ; _this.i++) {
              Tonyu.checkLoop();
              {
                Tonyu.globals.$enemys[_this.i][0]=Tonyu.globals.$enemys[_this.i][1].spd;
              }
            }
            Tonyu.globals.$fighters=Tonyu.globals.$players.concat(Tonyu.globals.$enemys);
            Tonyu.globals.$Battle=new Tonyu.classes.user.Battle({x: Tonyu.globals.$sw/2,y: Tonyu.globals.$sh/5,p: Tonyu.globals.$pat_window2});
            _this.sChange(1,_this.color_change);
            _this.Battle_now=2;
            Tonyu.globals.$turn=0;
            _this.update();
            
          }
          while (_this.Battle_now==2) {
            Tonyu.checkLoop();
            if (_this.flee) {
              Tonyu.globals.$Battle_writer.passage.push("delete",Tonyu.globals.$players[0][1].Name+"達は逃げ出した！");
              _this.p_sp=Tonyu.globals.$players.slice();
              _this.e_sp=Tonyu.globals.$enemys.slice();
              _this.p_sp.sort(Tonyu.bindFunc(_this,_this.compareFunc));
              _this.e_sp.sort(Tonyu.bindFunc(_this,_this.compareFunc));
              _this.escape_odds=_this.p_sp[0][0]-_this.e_sp[0][0]+10*Tonyu.globals.$turn;
              _this.print(_this.escape_odds);
              if (_this.rnd(100)<_this.escape_odds) {
                Tonyu.globals.$Battle.flee=true;
                Tonyu.globals.$Battle_writer.passage.push("上手く逃げ出すことができた！");
                
              } else {
                Tonyu.globals.$Battle_writer.passage.push("しかし、失敗してしまった");
                
              }
              _this.flee=null;
              
            }
            _this.update();
            
          }
          while (_this.Battle_now==0) {
            Tonyu.checkLoop();
            _this.sChange(0,_this.color_change);
            _this.i=0;for (; _this.i<Tonyu.globals.$players.length ; _this.i++) {
              Tonyu.checkLoop();
              {
                Tonyu.globals.$players[_this.i][1].die();
              }
            }
            _this.i=0;for (; _this.i<Tonyu.globals.$enemys.length ; _this.i++) {
              Tonyu.checkLoop();
              {
                Tonyu.globals.$enemys[_this.i][1].die();
              }
            }
            Tonyu.globals.$Battle.die();
            Tonyu.globals.$Battle_writer.die();
            _this.p=- 1;
            _this.sChange(1,_this.color_change);
            _this.print(_this.all().length);
            _this.update();
            _this.Battle_now=null;
            
          }
          
        }
      },
      fiber$main :function _trc_Battle_Observer_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.nx=_this.x;
        _this.ny=_this.y;
        _this.Enemy=[];
        _this.Enemy.push(Tonyu.globals.$pat_kinoko);
        _this.Battle_now=1;
        
        _thread.enter(function _trc_Battle_Observer_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
            case 2:
              if (!(_this.Battle_now==1)) { __pc=12    ; break; }
              _this.exp=0;
              _this.fiber$sChange(_thread, 0, _this.color_change);
              __pc=3;return;
            case 3:
              
              if (_this.pat==1) {
                _this.p=Tonyu.globals.$pat_Fire_Forest;
                
              }
              _this.fiber$update(_thread);
              __pc=4;return;
            case 4:
              
              Tonyu.globals.$players=[[],[],[]];
              switch (Tonyu.globals.$Party.length) {
              case 1:
                __pc=5     ;break;
              case 2:
                __pc=6     ;break;
              default:
                __pc=7     ;break;
                
              }
              break;
            case 5     :
              _this.MatrixX=[Tonyu.globals.$sw/2];
              __pc=7     ; break;
              
            case 6     :
              _this.MatrixX=[Tonyu.globals.$sw/2-100,Tonyu.globals.$sw/2+100];
              __pc=7     ; break;
              
              case 7     :
              
              _this.i=0;for (; _this.i<Tonyu.globals.$players.length ; _this.i++) {
                Tonyu.checkLoop();
                {
                  if (_this.i<Tonyu.globals.$Party.length) {
                    Tonyu.globals.$players[_this.i][1]=new Tonyu.classes.user.Battle_Player({x: _this.MatrixX[_this.i],y: Tonyu.globals.$sh/7*6,p: Tonyu.globals.$pat_window3+0,Name: Tonyu.globals.$Party[_this.i],scaleX: 1.5,order: _this.i});
                  } else {
                    Tonyu.globals.$players.splice(_this.i);
                    break;
                    
                    
                  }
                }
              }
              _this.fiber$update(_thread);
              __pc=8;return;
            case 8:
              
              _this.i=0;for (; _this.i<Tonyu.globals.$players.length ; _this.i++) {
                Tonyu.checkLoop();
                {
                  Tonyu.globals.$players[_this.i][0]=Tonyu.globals.$players[_this.i][1].spd;
                }
              }
              Tonyu.globals.$enemys=[[],[],[],[],[]];
              if (_this.Enemy.length%2==0) {
                _this.MatryxX=[_this.nx-70,_this.nx+70,_this.nx-210,_this.nx+210];
              } else {
                _this.MatryxX=[_this.nx,_this.nx+140,_this.nx-140,_this.nx+280,_this.nx-280];
              }
              _this.i=0;for (; _this.i<Tonyu.globals.$enemys.length ; _this.i++) {
                Tonyu.checkLoop();
                {
                  if (_this.i<_this.Enemy.length) {
                    Tonyu.globals.$enemys[_this.i][1]=new Tonyu.classes.user.Battle_Enemy({x: _this.MatryxX[_this.i],y: Tonyu.globals.$sh/3*2,p: _this.Enemy[_this.i],align: "middle bottom",order: _this.i});
                  } else {
                    Tonyu.globals.$enemys.splice(_this.i);
                    break;
                    
                    
                  }
                }
              }
              _this.fiber$update(_thread);
              __pc=9;return;
            case 9:
              
              _this.i=0;for (; _this.i<Tonyu.globals.$enemys.length ; _this.i++) {
                Tonyu.checkLoop();
                {
                  Tonyu.globals.$enemys[_this.i][0]=Tonyu.globals.$enemys[_this.i][1].spd;
                }
              }
              Tonyu.globals.$fighters=Tonyu.globals.$players.concat(Tonyu.globals.$enemys);
              Tonyu.globals.$Battle=new Tonyu.classes.user.Battle({x: Tonyu.globals.$sw/2,y: Tonyu.globals.$sh/5,p: Tonyu.globals.$pat_window2});
              _this.fiber$sChange(_thread, 1, _this.color_change);
              __pc=10;return;
            case 10:
              
              _this.Battle_now=2;
              Tonyu.globals.$turn=0;
              _this.fiber$update(_thread);
              __pc=11;return;
            case 11:
              
              __pc=2;break;
            case 12    :
              
            case 13:
              if (!(_this.Battle_now==2)) { __pc=15    ; break; }
              if (_this.flee) {
                Tonyu.globals.$Battle_writer.passage.push("delete",Tonyu.globals.$players[0][1].Name+"達は逃げ出した！");
                _this.p_sp=Tonyu.globals.$players.slice();
                _this.e_sp=Tonyu.globals.$enemys.slice();
                _this.p_sp.sort(Tonyu.bindFunc(_this,_this.compareFunc));
                _this.e_sp.sort(Tonyu.bindFunc(_this,_this.compareFunc));
                _this.escape_odds=_this.p_sp[0][0]-_this.e_sp[0][0]+10*Tonyu.globals.$turn;
                _this.print(_this.escape_odds);
                if (_this.rnd(100)<_this.escape_odds) {
                  Tonyu.globals.$Battle.flee=true;
                  Tonyu.globals.$Battle_writer.passage.push("上手く逃げ出すことができた！");
                  
                } else {
                  Tonyu.globals.$Battle_writer.passage.push("しかし、失敗してしまった");
                  
                }
                _this.flee=null;
                
              }
              _this.fiber$update(_thread);
              __pc=14;return;
            case 14:
              
              __pc=13;break;
            case 15    :
              
            case 16:
              if (!(_this.Battle_now==0)) { __pc=20    ; break; }
              _this.fiber$sChange(_thread, 0, _this.color_change);
              __pc=17;return;
            case 17:
              
              _this.i=0;for (; _this.i<Tonyu.globals.$players.length ; _this.i++) {
                Tonyu.checkLoop();
                {
                  Tonyu.globals.$players[_this.i][1].die();
                }
              }
              _this.i=0;for (; _this.i<Tonyu.globals.$enemys.length ; _this.i++) {
                Tonyu.checkLoop();
                {
                  Tonyu.globals.$enemys[_this.i][1].die();
                }
              }
              Tonyu.globals.$Battle.die();
              Tonyu.globals.$Battle_writer.die();
              _this.p=- 1;
              _this.fiber$sChange(_thread, 1, _this.color_change);
              __pc=18;return;
            case 18:
              
              _this.print(_this.all().length);
              _this.fiber$update(_thread);
              __pc=19;return;
            case 19:
              
              _this.Battle_now=null;
              __pc=16;break;
            case 20    :
              
              __pc=1;break;
            case 21    :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      sChange :function _trc_Battle_Observer_sChange(clear,color_change) {
        "use strict";
        var _this=this;
        
        Tonyu.globals.$panel.setFillStyle(color_change);
        _this.n=0;for (; _this.n<Tonyu.globals.$sh ; _this.n+=32) {
          Tonyu.checkLoop();
          {
            _this.parallel(Tonyu.bindFunc(_this,_this.sChange_sub),clear,_this.n);
            _this.updateEx(3);
          }
        }
        if (clear==0) {
          _this.n=0;for (; _this.n<Tonyu.globals.$sh/32+Tonyu.globals.$sw/32 ; _this.n++) {
            Tonyu.checkLoop();
            _this.update();
          }
        }
      },
      fiber$sChange :function _trc_Battle_Observer_f_sChange(_thread,clear,color_change) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        Tonyu.globals.$panel.setFillStyle(color_change);
        
        _thread.enter(function _trc_Battle_Observer_ent_sChange(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
              _this.n=0;
            case 1:
              if (!(_this.n<Tonyu.globals.$sh)) { __pc=4     ; break; }
              _this.parallel(Tonyu.bindFunc(_this,_this.sChange_sub),clear,_this.n);
              _this.fiber$updateEx(_thread, 3);
              __pc=2;return;
            case 2:
              
            case 3     :
              _this.n+=32;
              __pc=1;break;
            case 4     :
              
              if (!(clear==0)) { __pc=9     ; break; }
              _this.n=0;
            case 5:
              if (!(_this.n<Tonyu.globals.$sh/32+Tonyu.globals.$sw/32)) { __pc=8     ; break; }
              _this.fiber$update(_thread);
              __pc=6;return;
            case 6:
              
            case 7     :
              _this.n++;
              __pc=5;break;
            case 8     :
              
            case 9     :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      sChange_sub :function _trc_Battle_Observer_sChange_sub(clear,l) {
        "use strict";
        var _this=this;
        var i;
        
        
        if (clear==1) {
          i=0;for (; i<Tonyu.globals.$sw ; i+=32) {
            Tonyu.checkLoop();
            {
              Tonyu.globals.$panel.clearRect(i,l,32,32);
              _this.update();
            }
          }
          
        } else {
          i=0;for (; i<Tonyu.globals.$sw ; i+=32) {
            Tonyu.checkLoop();
            {
              Tonyu.globals.$panel.fillRect(i,l,32,32);
              _this.update();
            }
          }
          
        }
      },
      fiber$sChange_sub :function _trc_Battle_Observer_f_sChange_sub(_thread,clear,l) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        var i;
        
        
        
        _thread.enter(function _trc_Battle_Observer_ent_sChange_sub(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
              if (!(clear==1)) { __pc=5     ; break; }
              i=0;
            case 1:
              if (!(i<Tonyu.globals.$sw)) { __pc=4     ; break; }
              Tonyu.globals.$panel.clearRect(i,l,32,32);
              _this.fiber$update(_thread);
              __pc=2;return;
            case 2:
              
            case 3     :
              i+=32;
              __pc=1;break;
            case 4     :
              
              __pc=10    ;break;
            case 5     :
              i=0;
            case 6:
              if (!(i<Tonyu.globals.$sw)) { __pc=9     ; break; }
              Tonyu.globals.$panel.fillRect(i,l,32,32);
              _this.fiber$update(_thread);
              __pc=7;return;
            case 7:
              
            case 8     :
              i+=32;
              __pc=6;break;
            case 9     :
              
            case 10    :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      compareFunc :function _trc_Battle_Observer_compareFunc(a,b) {
        "use strict";
        var _this=this;
        
        return b[0]-a[0];
      },
      fiber$compareFunc :function _trc_Battle_Observer_f_compareFunc(_thread,a,b) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _thread.retVal=b[0]-a[0];return;
        
        
        _thread.retVal=_this;return;
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"sChange":{"nowait":false},"sChange_sub":{"nowait":false},"compareFunc":{"nowait":false}},"fields":{"nx":{},"ny":{},"Enemy":{},"Battle_now":{},"exp":{},"color_change":{},"pat":{},"MatrixX":{},"i":{},"MatryxX":{},"flee":{},"p_sp":{},"e_sp":{},"escape_odds":{},"n":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Battle_Player',
  shortName: 'Battle_Player',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Battle_Player_main() {
        "use strict";
        var _this=this;
        
        _this.pw=Tonyu.globals.$imageList[_this.p].width*_this.scaleX;
        _this.ph=Tonyu.globals.$imageList[_this.p].height*_this.scaleX;
        _this.status_base=[[780,263,41,60,54,180,170],[893,275,45,70,60,200,180],[357,370,80,37,62,127,174],[480,0,51,68,57,190,0],[630,212,70,128,128,196,206]];
        switch (_this.Name) {
        case "Player1":
          _this.ID=0;
          break;
          
        case "Player2":
          _this.ID=1;
          break;
          
        }
        _this.Lv=1;
        _this.status_set();
        _this.HP=_this.status[0];
        _this.bHP=_this.HP;
        _this.MP=_this.status[1];
        _this.bMP=_this.MP;
        _this.spd=_this.status[2];
        _this.pdf=_this.status[3];
        _this.mdf=_this.status[4];
        _this.patc=_this.status[5];
        _this.matc=_this.status[6];
        _this.state=[];
        _this.state[0]=new Tonyu.classes.kernel.Label({x: _this.x,y: _this.y-30,text: _this.Name,size: 15,fillStyle: "white",align: "middle center",lifeKeeper: _this});
        _this.state[1]=new Tonyu.classes.kernel.Label({x: _this.x-30,y: _this.y-10,text: "HP：",size: 15,fillStyle: "white",align: "middle left",lifeKeeper: _this});
        _this.state[2]=new Tonyu.classes.kernel.Label({x: _this.x-30,y: _this.y+20,text: "MP：",size: 15,fillStyle: "white",align: "middle left",lifeKeeper: _this});
        _this.state[3]=new Tonyu.classes.kernel.Label({x: _this.x+30,y: _this.y-10,text: "",size: 15,fillStyle: "white",align: "middle right",lifeKeeper: _this});
        _this.state[4]=new Tonyu.classes.kernel.Label({x: _this.x+30,y: _this.y+20,text: "",size: 15,fillStyle: "white",align: "middle right",lifeKeeper: _this});
        if (_this.HP>=100) {
          _this.tx_HP=_this.HP;
        } else {
          if (_this.HP<100&&_this.HP>=10) {
            _this.tx_HP="0"+_this.HP;
          } else {
            _this.tx_HP="00"+_this.HP;
          }
        }
        _this.state[3].text=_this.tx_HP;
        if (_this.MP>=100) {
          _this.tx_MP=_this.MP;
        } else {
          if (_this.MP<100&&_this.MP>=10) {
            _this.tx_MP="0"+_this.MP;
          } else {
            _this.tx_MP="00"+_this.MP;
          }
        }
        _this.state[4].text=_this.tx_MP;
        _this.command=["攻撃","防御","道具"];
        _this.sub_command=["特技","魔法","ねこ"];
        _this.command.splice(1,0,_this.sub_command[_this.ID]);
        if (_this.order>0) {
          _this.command.push("戻る");
          
        } else {
          _this.command.push("逃走");
          
        }
        _this.skill=[[],["属性切り"]];
        _this.size=25;
        _this.ctx=Tonyu.globals.$panel.getContext();
        _this.ctx.font=_this.size+"px ''";
        _this.buttons=[];
        _this.def_turn=null;
        _this.slip_HP_frame=0;
        _this.slip_MP_frame=0;
        _this.action=null;
        _this.natural_y=_this.y;
        while (true) {
          Tonyu.checkLoop();
          if (_this.slip_HP>0) {
            _this.slip_HP_frame++;
            if (_this.slip_HP_frame%5==0) {
              _this.slip_HP--;
              _this.HP--;
              if (_this.HP>=100) {
                _this.tx_HP=_this.HP;
              } else {
                if (_this.HP<100) {
                  _this.tx_HP="0"+_this.HP;
                } else {
                  _this.tx_HP="00"+_this.HP;
                }
              }
              _this.state[3].text=_this.tx_HP;
              
            }
            
          }
          if (_this.slip_MP>0) {
            _this.slip_MP_frame++;
            if (_this.slip_MP_frame%5==0) {
              _this.slip_MP--;
              _this.MP--;
              if (_this.MP>=100) {
                _this.tx_MP=_this.MP;
              } else {
                if (_this.MP<100) {
                  _this.tx_MP="0"+_this.MP;
                } else {
                  _this.tx_MP="00"+_this.MP;
                }
              }
              _this.state[4].text=_this.tx_MP;
              
            }
            
          }
          if (_this.select==1) {
            if (_this.action==null) {
              if (_this.y==_this.natural_y) {
                _this.parallel(Tonyu.bindFunc(_this,_this.move),1);
              }
              Tonyu.globals.$Battle_writer.passage.push("delete",_this.Name+"は何をしますか？");
              _this.margin="";
              _this.i=0;for (; _this.i<_this.command.length ; _this.i++) {
                Tonyu.checkLoop();
                {
                  if (_this.i>0) {
                    _this.margin+=_this.command[_this.i-1]+"　";
                  }
                  _this.button_left=_this.textWidth(_this.margin);
                  _this.button_middle=_this.textWidth(_this.command[_this.i])/2;
                  _this.buttons[_this.i]=new Tonyu.classes.user.Battle_Command({x: Tonyu.globals.$sw/8+_this.button_left+_this.button_middle,y: Tonyu.globals.$sh/7+(_this.size+10)*0.5,size: _this.size,text: _this.command[_this.i],parent: _this,action: _this.i});
                }
              }
              while (_this.action==null) {
                Tonyu.checkLoop();
                _this.update();
              }
              if (_this.action==1&&_this.skill[_this.ID][0]==null) {
                _this.action=null;
                Tonyu.globals.$Battle_writer.passage.push("delete",_this.Name+"は何も覚えていない");
                
              }
              if (_this.action==3&&Tonyu.globals.$item[_this.ID][0]==null) {
                _this.action=null;
                Tonyu.globals.$Battle_writer.passage.push("delete",_this.Name+"は何も持っていない");
                
              }
              if (_this.action==null) {
                _this.i=0;for (; _this.i<60 ; _this.i++) {
                  Tonyu.checkLoop();
                  _this.update();
                }
              }
              _this.command_delete();
              
            } else {
              if (_this.action==1) {
                new Tonyu.classes.user.Battle_sub_window({x: _this.x,y: _this.y,parent: _this,command: _this.skill[_this.ID].slice()});
                while (_this.skill_ID==null) {
                  Tonyu.checkLoop();
                  _this.update();
                }
                
              }
              if (_this.action==3) {
                new Tonyu.classes.user.Battle_sub_window({x: _this.x,y: _this.y,parent: _this});
                
              }
              if (_this.action==4) {
                Tonyu.globals.$Battle_Observer.flee=true;
                _this.i=0;for (; _this.i<60 ; _this.i++) {
                  Tonyu.checkLoop();
                  _this.update();
                }
                
              }
              if (_this.choice==1||_this.action==0) {
                Tonyu.globals.$Battle_writer.passage.push("delete","誰を攻撃しますか？","対象をタップしてください");
                _this.target=null;
                _this.i=0;for (; _this.i<Tonyu.globals.$enemys.length ; _this.i++) {
                  Tonyu.checkLoop();
                  {
                    Tonyu.globals.$enemys[_this.i][1].selected=Tonyu.globals.$players[_this.order][1];
                  }
                }
                while (_this.target==null) {
                  Tonyu.checkLoop();
                  _this.update();
                }
                _this.i=0;for (; _this.i<Tonyu.globals.$enemys.length ; _this.i++) {
                  Tonyu.checkLoop();
                  {
                    Tonyu.globals.$enemys[_this.i][1].selected=null;
                  }
                }
                
              }
              _this.select=0;
              _this.parallel(Tonyu.bindFunc(_this,_this.move),2);
              Tonyu.globals.$Battle.wait=0;
              
            }
            
          }
          if (_this.active==1) {
            if (_this.action==0) {
              _this.atc_value=_this.atc_calculation();
              Tonyu.globals.$Battle_writer.passage.push("delete",_this.Name+"は"+_this.target.Name+"を攻撃！",_this.target.Name+"に"+_this.atc_value+"のダメージ");
              
            }
            if (_this.action==2) {
              new Tonyu.classes.user.Battle_Effect({x: _this.x,y: _this.y,p: Tonyu.globals.$pat_guard});
              Tonyu.globals.$Battle_writer.passage.push("delete",_this.Name+"はガードを固めた");
              _this.def_turn+=3;
              
            }
            if (_this.def_turn==0) {
              _this.i=0;for (; _this.i<60 ; _this.i++) {
                Tonyu.checkLoop();
                _this.update();
              }
              _this.def_turn=null;
              Tonyu.globals.$Battle_writer.passage.push("ガードの効果は切れてしまった……");
              new Tonyu.classes.user.Battle_Effect({x: _this.x,y: _this.y,p: Tonyu.globals.$pat_guardend});
              
            }
            if (_this.def_turn) {
              _this.def_turn--;
            }
            _this.active=0;
            Tonyu.globals.$Battle.wait=0;
            _this.action=null;
            
          }
          _this.update();
          
        }
      },
      fiber$main :function _trc_Battle_Player_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.pw=Tonyu.globals.$imageList[_this.p].width*_this.scaleX;
        _this.ph=Tonyu.globals.$imageList[_this.p].height*_this.scaleX;
        _this.status_base=[[780,263,41,60,54,180,170],[893,275,45,70,60,200,180],[357,370,80,37,62,127,174],[480,0,51,68,57,190,0],[630,212,70,128,128,196,206]];
        switch (_this.Name) {
        case "Player1":
          _this.ID=0;
          break;
          
        case "Player2":
          _this.ID=1;
          break;
          
        }
        _this.Lv=1;
        
        _thread.enter(function _trc_Battle_Player_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
              _this.fiber$status_set(_thread);
              __pc=1;return;
            case 1:
              
              _this.HP=_this.status[0];
              _this.bHP=_this.HP;
              _this.MP=_this.status[1];
              _this.bMP=_this.MP;
              _this.spd=_this.status[2];
              _this.pdf=_this.status[3];
              _this.mdf=_this.status[4];
              _this.patc=_this.status[5];
              _this.matc=_this.status[6];
              _this.state=[];
              _this.state[0]=new Tonyu.classes.kernel.Label({x: _this.x,y: _this.y-30,text: _this.Name,size: 15,fillStyle: "white",align: "middle center",lifeKeeper: _this});
              _this.state[1]=new Tonyu.classes.kernel.Label({x: _this.x-30,y: _this.y-10,text: "HP：",size: 15,fillStyle: "white",align: "middle left",lifeKeeper: _this});
              _this.state[2]=new Tonyu.classes.kernel.Label({x: _this.x-30,y: _this.y+20,text: "MP：",size: 15,fillStyle: "white",align: "middle left",lifeKeeper: _this});
              _this.state[3]=new Tonyu.classes.kernel.Label({x: _this.x+30,y: _this.y-10,text: "",size: 15,fillStyle: "white",align: "middle right",lifeKeeper: _this});
              _this.state[4]=new Tonyu.classes.kernel.Label({x: _this.x+30,y: _this.y+20,text: "",size: 15,fillStyle: "white",align: "middle right",lifeKeeper: _this});
              if (_this.HP>=100) {
                _this.tx_HP=_this.HP;
              } else {
                if (_this.HP<100&&_this.HP>=10) {
                  _this.tx_HP="0"+_this.HP;
                } else {
                  _this.tx_HP="00"+_this.HP;
                }
              }
              _this.state[3].text=_this.tx_HP;
              if (_this.MP>=100) {
                _this.tx_MP=_this.MP;
              } else {
                if (_this.MP<100&&_this.MP>=10) {
                  _this.tx_MP="0"+_this.MP;
                } else {
                  _this.tx_MP="00"+_this.MP;
                }
              }
              _this.state[4].text=_this.tx_MP;
              _this.command=["攻撃","防御","道具"];
              _this.sub_command=["特技","魔法","ねこ"];
              _this.command.splice(1,0,_this.sub_command[_this.ID]);
              if (_this.order>0) {
                _this.command.push("戻る");
                
              } else {
                _this.command.push("逃走");
                
              }
              _this.skill=[[],["属性切り"]];
              _this.size=25;
              _this.ctx=Tonyu.globals.$panel.getContext();
              _this.ctx.font=_this.size+"px ''";
              _this.buttons=[];
              _this.def_turn=null;
              _this.slip_HP_frame=0;
              _this.slip_MP_frame=0;
              _this.action=null;
              _this.natural_y=_this.y;
            case 2:
              if (_this.slip_HP>0) {
                _this.slip_HP_frame++;
                if (_this.slip_HP_frame%5==0) {
                  _this.slip_HP--;
                  _this.HP--;
                  if (_this.HP>=100) {
                    _this.tx_HP=_this.HP;
                  } else {
                    if (_this.HP<100) {
                      _this.tx_HP="0"+_this.HP;
                    } else {
                      _this.tx_HP="00"+_this.HP;
                    }
                  }
                  _this.state[3].text=_this.tx_HP;
                  
                }
                
              }
              if (_this.slip_MP>0) {
                _this.slip_MP_frame++;
                if (_this.slip_MP_frame%5==0) {
                  _this.slip_MP--;
                  _this.MP--;
                  if (_this.MP>=100) {
                    _this.tx_MP=_this.MP;
                  } else {
                    if (_this.MP<100) {
                      _this.tx_MP="0"+_this.MP;
                    } else {
                      _this.tx_MP="00"+_this.MP;
                    }
                  }
                  _this.state[4].text=_this.tx_MP;
                  
                }
                
              }
              if (!(_this.select==1)) { __pc=31    ; break; }
              if (!(_this.action==null)) { __pc=16    ; break; }
              if (_this.y==_this.natural_y) {
                _this.parallel(Tonyu.bindFunc(_this,_this.move),1);
              }
              Tonyu.globals.$Battle_writer.passage.push("delete",_this.Name+"は何をしますか？");
              _this.margin="";
              _this.i=0;
            case 3:
              if (!(_this.i<_this.command.length)) { __pc=6     ; break; }
              if (_this.i>0) {
                _this.margin+=_this.command[_this.i-1]+"　";
              }
              _this.fiber$textWidth(_thread, _this.margin);
              __pc=4;return;
            case 4:
              _this.button_left=_thread.retVal;
              
              _this.button_middle=_this.textWidth(_this.command[_this.i])/2;
              _this.buttons[_this.i]=new Tonyu.classes.user.Battle_Command({x: Tonyu.globals.$sw/8+_this.button_left+_this.button_middle,y: Tonyu.globals.$sh/7+(_this.size+10)*0.5,size: _this.size,text: _this.command[_this.i],parent: _this,action: _this.i});
            case 5     :
              _this.i++;
              __pc=3;break;
            case 6     :
              
            case 7:
              if (!(_this.action==null)) { __pc=9     ; break; }
              _this.fiber$update(_thread);
              __pc=8;return;
            case 8:
              
              __pc=7;break;
            case 9     :
              
              if (_this.action==1&&_this.skill[_this.ID][0]==null) {
                _this.action=null;
                Tonyu.globals.$Battle_writer.passage.push("delete",_this.Name+"は何も覚えていない");
                
              }
              if (_this.action==3&&Tonyu.globals.$item[_this.ID][0]==null) {
                _this.action=null;
                Tonyu.globals.$Battle_writer.passage.push("delete",_this.Name+"は何も持っていない");
                
              }
              if (!(_this.action==null)) { __pc=14    ; break; }
              _this.i=0;
            case 10:
              if (!(_this.i<60)) { __pc=13    ; break; }
              _this.fiber$update(_thread);
              __pc=11;return;
            case 11:
              
            case 12    :
              _this.i++;
              __pc=10;break;
            case 13    :
              
            case 14    :
              
              _this.fiber$command_delete(_thread);
              __pc=15;return;
            case 15:
              
              __pc=30    ;break;
            case 16    :
              if (!(_this.action==1)) { __pc=20    ; break; }
              new Tonyu.classes.user.Battle_sub_window({x: _this.x,y: _this.y,parent: _this,command: _this.skill[_this.ID].slice()});
            case 17:
              if (!(_this.skill_ID==null)) { __pc=19    ; break; }
              _this.fiber$update(_thread);
              __pc=18;return;
            case 18:
              
              __pc=17;break;
            case 19    :
              
            case 20    :
              
              if (_this.action==3) {
                new Tonyu.classes.user.Battle_sub_window({x: _this.x,y: _this.y,parent: _this});
                
              }
              if (!(_this.action==4)) { __pc=25    ; break; }
              Tonyu.globals.$Battle_Observer.flee=true;
              _this.i=0;
            case 21:
              if (!(_this.i<60)) { __pc=24    ; break; }
              _this.fiber$update(_thread);
              __pc=22;return;
            case 22:
              
            case 23    :
              _this.i++;
              __pc=21;break;
            case 24    :
              
            case 25    :
              
              if (!(_this.choice==1||_this.action==0)) { __pc=29    ; break; }
              Tonyu.globals.$Battle_writer.passage.push("delete","誰を攻撃しますか？","対象をタップしてください");
              _this.target=null;
              _this.i=0;for (; _this.i<Tonyu.globals.$enemys.length ; _this.i++) {
                Tonyu.checkLoop();
                {
                  Tonyu.globals.$enemys[_this.i][1].selected=Tonyu.globals.$players[_this.order][1];
                }
              }
            case 26:
              if (!(_this.target==null)) { __pc=28    ; break; }
              _this.fiber$update(_thread);
              __pc=27;return;
            case 27:
              
              __pc=26;break;
            case 28    :
              
              _this.i=0;for (; _this.i<Tonyu.globals.$enemys.length ; _this.i++) {
                Tonyu.checkLoop();
                {
                  Tonyu.globals.$enemys[_this.i][1].selected=null;
                }
              }
            case 29    :
              
              _this.select=0;
              _this.parallel(Tonyu.bindFunc(_this,_this.move),2);
              Tonyu.globals.$Battle.wait=0;
            case 30    :
              
            case 31    :
              
              if (!(_this.active==1)) { __pc=39    ; break; }
              if (!(_this.action==0)) { __pc=33    ; break; }
              _this.fiber$atc_calculation(_thread);
              __pc=32;return;
            case 32:
              _this.atc_value=_thread.retVal;
              
              Tonyu.globals.$Battle_writer.passage.push("delete",_this.Name+"は"+_this.target.Name+"を攻撃！",_this.target.Name+"に"+_this.atc_value+"のダメージ");
            case 33    :
              
              if (_this.action==2) {
                new Tonyu.classes.user.Battle_Effect({x: _this.x,y: _this.y,p: Tonyu.globals.$pat_guard});
                Tonyu.globals.$Battle_writer.passage.push("delete",_this.Name+"はガードを固めた");
                _this.def_turn+=3;
                
              }
              if (!(_this.def_turn==0)) { __pc=38    ; break; }
              _this.i=0;
            case 34:
              if (!(_this.i<60)) { __pc=37    ; break; }
              _this.fiber$update(_thread);
              __pc=35;return;
            case 35:
              
            case 36    :
              _this.i++;
              __pc=34;break;
            case 37    :
              
              _this.def_turn=null;
              Tonyu.globals.$Battle_writer.passage.push("ガードの効果は切れてしまった……");
              new Tonyu.classes.user.Battle_Effect({x: _this.x,y: _this.y,p: Tonyu.globals.$pat_guardend});
            case 38    :
              
              if (_this.def_turn) {
                _this.def_turn--;
              }
              _this.active=0;
              Tonyu.globals.$Battle.wait=0;
              _this.action=null;
            case 39    :
              
              _this.fiber$update(_thread);
              __pc=40;return;
            case 40:
              
              __pc=2;break;
            case 41    :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      status_set :function _trc_Battle_Player_status_set() {
        "use strict";
        var _this=this;
        
        _this.bezier=[[[0.53,0.99],[0.66,0.19],[0,1],[0,0.46],[0.6,0.3],[0.36,0.5],[0.28,0.7]],[[0.53,0.99],[0.66,0.19],[0,1],[0,0.46],[0.6,0.3],[0.36,0.5],[0.28,0.7]]];
        _this.status=[];
        _this.t=0;for (; _this.t<_this.status_base[_this.ID].length ; _this.t++) {
          Tonyu.checkLoop();
          {
            _this.growth=3*Tonyu.globals.$Math.pow(1-(_this.Lv/100),2)*(_this.Lv/100)*_this.bezier[_this.ID][_this.t][0]+3*(1-(_this.Lv/100))*Tonyu.globals.$Math.pow(_this.Lv/100,2)*_this.bezier[_this.ID][_this.t][1]+Tonyu.globals.$Math.pow(_this.Lv/100,3);
            _this.status[_this.t]=_this.floor(_this.status_base[_this.ID][_this.t]*_this.growth);
            _this.print(_this.status[_this.t]);
          }
        }
      },
      fiber$status_set :function _trc_Battle_Player_f_status_set(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.bezier=[[[0.53,0.99],[0.66,0.19],[0,1],[0,0.46],[0.6,0.3],[0.36,0.5],[0.28,0.7]],[[0.53,0.99],[0.66,0.19],[0,1],[0,0.46],[0.6,0.3],[0.36,0.5],[0.28,0.7]]];
        _this.status=[];
        _this.t=0;for (; _this.t<_this.status_base[_this.ID].length ; _this.t++) {
          Tonyu.checkLoop();
          {
            _this.growth=3*Tonyu.globals.$Math.pow(1-(_this.Lv/100),2)*(_this.Lv/100)*_this.bezier[_this.ID][_this.t][0]+3*(1-(_this.Lv/100))*Tonyu.globals.$Math.pow(_this.Lv/100,2)*_this.bezier[_this.ID][_this.t][1]+Tonyu.globals.$Math.pow(_this.Lv/100,3);
            _this.status[_this.t]=_this.floor(_this.status_base[_this.ID][_this.t]*_this.growth);
            _this.print(_this.status[_this.t]);
          }
        }
        
        _thread.retVal=_this;return;
      },
      textWidth :function _trc_Battle_Player_textWidth(text) {
        "use strict";
        var _this=this;
        
        return _this.ctx.measureText(text).width;
      },
      fiber$textWidth :function _trc_Battle_Player_f_textWidth(_thread,text) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _thread.retVal=_this.ctx.measureText(text).width;return;
        
        
        _thread.retVal=_this;return;
      },
      command_delete :function _trc_Battle_Player_command_delete() {
        "use strict";
        var _this=this;
        
        _this.i=0;for (; _this.i<_this.buttons.length ; _this.i++) {
          Tonyu.checkLoop();
          {
            _this.buttons[_this.i].die();
          }
        }
        _this.buttons.splice(0);
      },
      fiber$command_delete :function _trc_Battle_Player_f_command_delete(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.i=0;for (; _this.i<_this.buttons.length ; _this.i++) {
          Tonyu.checkLoop();
          {
            _this.buttons[_this.i].die();
          }
        }
        _this.buttons.splice(0);
        
        _thread.retVal=_this;return;
      },
      atc_calculation :function _trc_Battle_Player_atc_calculation() {
        "use strict";
        var _this=this;
        var atc;
        var def;
        
        
        if (_this.action==0) {
          def=_this.target.pdf*(0.75+_this.rnd()/2);
          atc=_this.floor(_this.patc*2-def);
          if (atc>0) {
            return atc;
          } else {
            return 1;
          }
          
        }
      },
      fiber$atc_calculation :function _trc_Battle_Player_f_atc_calculation(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        var atc;
        var def;
        
        
        if (_this.action==0) {
          def=_this.target.pdf*(0.75+_this.rnd()/2);
          atc=_this.floor(_this.patc*2-def);
          if (atc>0) {
            _thread.retVal=atc;return;
            
          } else {
            _thread.retVal=1;return;
            
          }
          
        }
        
        _thread.retVal=_this;return;
      },
      move :function _trc_Battle_Player_move(type) {
        "use strict";
        var _this=this;
        var sy;
        var t;
        var point1;
        var point2;
        var u;
        var gy;
        
        if (_this.state[0]) {
          sy = _this.y;
          point1 = 0;
          point2 = 1;
          
          if (type==1) {
            gy = _this.y-20;
            
          }
          if (type==2) {
            gy = _this.y+20;
            
          }
          t=0;for (; t<1 ; t+=1/10) {
            Tonyu.checkLoop();
            {
              _this.displacement=3*Tonyu.globals.$Math.pow(1-t,2)*t*point1+3*(1-t)*Tonyu.globals.$Math.pow(t,2)*point2+Tonyu.globals.$Math.pow(t,3);
              _this.y=sy+(gy-sy)*_this.displacement;
              _this.state[0].y=_this.y-40;
              _this.state[1].y=_this.y-10;
              _this.state[2].y=_this.y+20;
              _this.state[3].y=_this.y-10;
              _this.state[4].y=_this.y+20;
              _this.update();
            }
          }
          if (type==1) {
            _this.y=_this.natural_y-20;
          }
          if (type==2) {
            _this.y=_this.natural_y;
          }
          _this.state[0].y=_this.y-40;
          _this.state[1].y=_this.y-10;
          _this.state[2].y=_this.y+20;
          _this.state[3].y=_this.y-10;
          _this.state[4].y=_this.y+20;
          
        }
      },
      fiber$move :function _trc_Battle_Player_f_move(_thread,type) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        var sy;
        var t;
        var point1;
        var point2;
        var u;
        var gy;
        
        
        _thread.enter(function _trc_Battle_Player_ent_move(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
              if (!(_this.state[0])) { __pc=5     ; break; }
              sy = _this.y;
              point1 = 0;
              point2 = 1;
              
              if (type==1) {
                gy = _this.y-20;
                
              }
              if (type==2) {
                gy = _this.y+20;
                
              }
              t=0;
            case 1:
              if (!(t<1)) { __pc=4     ; break; }
              _this.displacement=3*Tonyu.globals.$Math.pow(1-t,2)*t*point1+3*(1-t)*Tonyu.globals.$Math.pow(t,2)*point2+Tonyu.globals.$Math.pow(t,3);
              _this.y=sy+(gy-sy)*_this.displacement;
              _this.state[0].y=_this.y-40;
              _this.state[1].y=_this.y-10;
              _this.state[2].y=_this.y+20;
              _this.state[3].y=_this.y-10;
              _this.state[4].y=_this.y+20;
              _this.fiber$update(_thread);
              __pc=2;return;
            case 2:
              
            case 3     :
              t+=1/10;
              __pc=1;break;
            case 4     :
              
              if (type==1) {
                _this.y=_this.natural_y-20;
              }
              if (type==2) {
                _this.y=_this.natural_y;
              }
              _this.state[0].y=_this.y-40;
              _this.state[1].y=_this.y-10;
              _this.state[2].y=_this.y+20;
              _this.state[3].y=_this.y-10;
              _this.state[4].y=_this.y+20;
            case 5     :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"status_set":{"nowait":false},"textWidth":{"nowait":false},"command_delete":{"nowait":false},"atc_calculation":{"nowait":false},"move":{"nowait":false}},"fields":{"pw":{},"ph":{},"status_base":{},"Name":{},"ID":{},"Lv":{},"HP":{},"status":{},"bHP":{},"MP":{},"bMP":{},"spd":{},"pdf":{},"mdf":{},"patc":{},"matc":{},"state":{},"tx_HP":{},"tx_MP":{},"command":{},"sub_command":{},"order":{},"skill":{},"ctx":{},"buttons":{},"def_turn":{},"slip_HP_frame":{},"slip_MP_frame":{},"action":{},"natural_y":{},"slip_HP":{},"slip_MP":{},"select":{},"margin":{},"i":{},"button_left":{},"button_middle":{},"skill_ID":{},"choice":{},"active":{},"atc_value":{},"bezier":{},"t":{},"growth":{},"displacement":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Battle_sub_window',
  shortName: 'Battle_sub_window',
  namespace: 'user',
  superclass: Tonyu.classes.user.Battle_Player,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Battle_sub_window_main() {
        "use strict";
        var _this=this;
        
        _this.size=25;
        _this.ctx=Tonyu.globals.$panel.getContext();
        _this.ctx.font=_this.size+"px ''";
        _this.margin="";
        _this.buttons=[];
        _this.i=0;for (; _this.i<_this.command.length ; _this.i++) {
          Tonyu.checkLoop();
          {
            if (_this.i>0) {
              _this.margin+=_this.command[_this.i-1]+"　";
            }
            _this.button_left=_this.textWidth(_this.margin);
            _this.button_middle=_this.textWidth(_this.command[_this.i])/2;
            _this.buttons[_this.i]=new Tonyu.classes.user.Battle_Command({x: Tonyu.globals.$sw/8+_this.button_left+_this.button_middle,y: Tonyu.globals.$sh/7+(_this.size+10)*0.5,size: _this.size,text: _this.command[_this.i],parent: _this,action: _this.i});
          }
        }
        while (true) {
          Tonyu.checkLoop();
          _this.update();
          
        }
      },
      fiber$main :function _trc_Battle_sub_window_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.size=25;
        _this.ctx=Tonyu.globals.$panel.getContext();
        _this.ctx.font=_this.size+"px ''";
        _this.margin="";
        _this.buttons=[];
        
        _thread.enter(function _trc_Battle_sub_window_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
              _this.i=0;
            case 1:
              if (!(_this.i<_this.command.length)) { __pc=4     ; break; }
              if (_this.i>0) {
                _this.margin+=_this.command[_this.i-1]+"　";
              }
              _this.fiber$textWidth(_thread, _this.margin);
              __pc=2;return;
            case 2:
              _this.button_left=_thread.retVal;
              
              _this.button_middle=_this.textWidth(_this.command[_this.i])/2;
              _this.buttons[_this.i]=new Tonyu.classes.user.Battle_Command({x: Tonyu.globals.$sw/8+_this.button_left+_this.button_middle,y: Tonyu.globals.$sh/7+(_this.size+10)*0.5,size: _this.size,text: _this.command[_this.i],parent: _this,action: _this.i});
            case 3     :
              _this.i++;
              __pc=1;break;
            case 4     :
              
            case 5:
              _this.fiber$update(_thread);
              __pc=6;return;
            case 6:
              
              __pc=5;break;
            case 7     :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      be_touched :function _trc_Battle_sub_window_be_touched() {
        "use strict";
        var _this=this;
        
        _this.alpha=255;for (; _this.alpha>144 ; _this.alpha-=20) {
          Tonyu.checkLoop();
          {
            _this.update();
            _this.size--;
          }
        }
        _this.alpha=144;for (; _this.alpha<255 ; _this.alpha+=20) {
          Tonyu.checkLoop();
          {
            _this.update();
            _this.size++;
          }
        }
        _this.alpha=255;
        _this.size=_this.def_size;
      },
      fiber$be_touched :function _trc_Battle_sub_window_f_be_touched(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        
        _thread.enter(function _trc_Battle_sub_window_ent_be_touched(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
              _this.alpha=255;
            case 1:
              if (!(_this.alpha>144)) { __pc=4     ; break; }
              _this.fiber$update(_thread);
              __pc=2;return;
            case 2:
              
              _this.size--;
            case 3     :
              _this.alpha-=20;
              __pc=1;break;
            case 4     :
              
              _this.alpha=144;
            case 5:
              if (!(_this.alpha<255)) { __pc=8     ; break; }
              _this.fiber$update(_thread);
              __pc=6;return;
            case 6:
              
              _this.size++;
            case 7     :
              _this.alpha+=20;
              __pc=5;break;
            case 8     :
              
              _this.alpha=255;
              _this.size=_this.def_size;
              _thread.exit(_this);return;
            }
          }
        });
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"be_touched":{"nowait":false}},"fields":{"def_size":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Battle_Text',
  shortName: 'Battle_Text',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Battle_Text_main() {
        "use strict";
        var _this=this;
        
        _this.size=25;
        _this.texts=[];
        _this.texts[0]=new Tonyu.classes.kernel.Label({x: Tonyu.globals.$sw/8,y: Tonyu.globals.$sh/7-(_this.size+10)*0.5,text: "",size: _this.size,fillStyle: "white",align: "left middle",lifeKeeper: _this});
        _this.texts[1]=new Tonyu.classes.kernel.Label({x: Tonyu.globals.$sw/8,y: Tonyu.globals.$sh/7+(_this.size+10)*0.5,text: "",size: _this.size,fillStyle: "white",align: "left middle",lifeKeeper: _this});
        _this.passage=[];
        while (true) {
          Tonyu.checkLoop();
          if (_this.passage[0]!=null) {
            if (_this.passage[0]=="delete") {
              _this.texts[0].text="";
              _this.texts[1].text="";
              _this.passage.splice(0,1);
              
            }
            if (_this.texts[0].text=="") {
              _this.t=0;for (; _this.t<_this.passage[0].length ; _this.t++) {
                Tonyu.checkLoop();
                {
                  _this.texts[0].text=_this.passage[0].substring(0,_this.t+1);
                  _this.update();
                }
              }
              
            } else {
              if (_this.texts[1].text=="") {
                _this.t=0;for (; _this.t<_this.passage[0].length ; _this.t++) {
                  Tonyu.checkLoop();
                  {
                    _this.texts[1].text=_this.passage[0].substring(0,_this.t+1);
                    _this.update();
                  }
                }
                
              } else {
                _this.texts[0].text=_this.texts[1].text;
                _this.t=0;for (; _this.t<_this.passage[0].length ; _this.t++) {
                  Tonyu.checkLoop();
                  {
                    _this.texts[1].text=_this.passage[0].substring(0,_this.t+1);
                    _this.update();
                  }
                }
                
              }
            }
            _this.passage.splice(0,1);
            
          }
          _this.update();
          
        }
      },
      fiber$main :function _trc_Battle_Text_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.size=25;
        _this.texts=[];
        _this.texts[0]=new Tonyu.classes.kernel.Label({x: Tonyu.globals.$sw/8,y: Tonyu.globals.$sh/7-(_this.size+10)*0.5,text: "",size: _this.size,fillStyle: "white",align: "left middle",lifeKeeper: _this});
        _this.texts[1]=new Tonyu.classes.kernel.Label({x: Tonyu.globals.$sw/8,y: Tonyu.globals.$sh/7+(_this.size+10)*0.5,text: "",size: _this.size,fillStyle: "white",align: "left middle",lifeKeeper: _this});
        _this.passage=[];
        
        _thread.enter(function _trc_Battle_Text_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              if (!(_this.passage[0]!=null)) { __pc=18    ; break; }
              if (_this.passage[0]=="delete") {
                _this.texts[0].text="";
                _this.texts[1].text="";
                _this.passage.splice(0,1);
                
              }
              if (!(_this.texts[0].text=="")) { __pc=6     ; break; }
              _this.t=0;
            case 2:
              if (!(_this.t<_this.passage[0].length)) { __pc=5     ; break; }
              _this.texts[0].text=_this.passage[0].substring(0,_this.t+1);
              _this.fiber$update(_thread);
              __pc=3;return;
            case 3:
              
            case 4     :
              _this.t++;
              __pc=2;break;
            case 5     :
              
              __pc=17    ;break;
            case 6     :
              if (!(_this.texts[1].text=="")) { __pc=11    ; break; }
              _this.t=0;
            case 7:
              if (!(_this.t<_this.passage[0].length)) { __pc=10    ; break; }
              _this.texts[1].text=_this.passage[0].substring(0,_this.t+1);
              _this.fiber$update(_thread);
              __pc=8;return;
            case 8:
              
            case 9     :
              _this.t++;
              __pc=7;break;
            case 10    :
              
              __pc=16    ;break;
            case 11    :
              _this.texts[0].text=_this.texts[1].text;
              _this.t=0;
            case 12:
              if (!(_this.t<_this.passage[0].length)) { __pc=15    ; break; }
              _this.texts[1].text=_this.passage[0].substring(0,_this.t+1);
              _this.fiber$update(_thread);
              __pc=13;return;
            case 13:
              
            case 14    :
              _this.t++;
              __pc=12;break;
            case 15    :
              
            case 16    :
              
            case 17    :
              
              _this.passage.splice(0,1);
            case 18    :
              
              _this.fiber$update(_thread);
              __pc=19;return;
            case 19:
              
              __pc=1;break;
            case 20    :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{"texts":{},"passage":{},"t":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Data_Enemy',
  shortName: 'Data_Enemy',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Data_Enemy_main() {
        "use strict";
        var _this=this;
        
      },
      fiber$main :function _trc_Data_Enemy_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        
        _thread.retVal=_this;return;
      },
      mush :function _trc_Data_Enemy_mush() {
        "use strict";
        var _this=this;
        
        if (_this.aType!=2) {
          _this.ATC=_this.bATC+8+_this.rnd(- 3,4)-_this.Target.PDF-_this.Target.Guard;
          
        }
        if (_this.aType==2) {
          _this.passage="だが、なにも起こらなかった";
          
        } else {
          if (_this.rHit<_this.Hit) {
            _this.passage="";
            if (_this.CRT>=_this.rCRT) {
              _this.passage="クリティカル！　";
              _this.ATC*1.5;
              
            }
            if (_this.rAVD>_this.Target.AVD) {
              _this.passage+=""+_this.ATC+"のダメージ";
            } else {
              _this.passage=""+_this.PlayerName+"はかわした";
              _this.vHit=0;
              
            }
            
          } else {
            _this.passage="だが、あたらなかった";
            _this.vHit=0;
            
          }
          
        }
      },
      fiber$mush :function _trc_Data_Enemy_f_mush(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        if (_this.aType!=2) {
          _this.ATC=_this.bATC+8+_this.rnd(- 3,4)-_this.Target.PDF-_this.Target.Guard;
          
        }
        if (_this.aType==2) {
          _this.passage="だが、なにも起こらなかった";
          
        } else {
          if (_this.rHit<_this.Hit) {
            _this.passage="";
            if (_this.CRT>=_this.rCRT) {
              _this.passage="クリティカル！　";
              _this.ATC*1.5;
              
            }
            if (_this.rAVD>_this.Target.AVD) {
              _this.passage+=""+_this.ATC+"のダメージ";
            } else {
              _this.passage=""+_this.PlayerName+"はかわした";
              _this.vHit=0;
              
            }
            
          } else {
            _this.passage="だが、あたらなかった";
            _this.vHit=0;
            
          }
          
        }
        
        _thread.retVal=_this;return;
      },
      trent :function _trc_Data_Enemy_trent() {
        "use strict";
        var _this=this;
        
        if (_this.aType==0) {
          _this.ATC=_this.bATC+_this.rnd(- 3,4)-_this.Target.MDF-_this.Target.Guard;
          _this.HP+=_this.ATC;
          if (_this.rHit<_this.Hit) {
            _this.passage="からHPを"+_this.ATC+"吸収した";
            
          } else {
            _this.passage="だが、あたらなかった";
            _this.vHit=0;
            
          }
          
        } else {
          if (_this.aType==3) {
            _this.Target=0;
            _this.All=1;
            _this.ATC=_this.bATC+2+_this.rnd(- 3,4);
            
          } else {
            if (_this.aType==1) {
              _this.ATC=_this.bATC+5+_this.rnd(- 6,8)-_this.Target.PDF-_this.Target.Guard;
            } else {
              _this.ATC=_this.bATC+8+_this.rnd(- 3,4)-_this.Target.PDF-_this.Target.Guard;
            }
            if (_this.rHit<_this.Hit) {
              _this.passage="";
              if (_this.CRT>=_this.rCRT) {
                _this.passage="クリティカル！　";
                _this.ATC*1.5;
                
              }
              if (_this.rAVD>_this.Target.AVD) {
                _this.passage+=""+_this.ATC+"のダメージ";
              } else {
                _this.passage=""+_this.PlayerName+"はかわした";
                _this.vHit=0;
                
              }
              
            } else {
              _this.passage="だが、あたらなかった";
              _this.vHit=0;
              
            }
            
          }
        }
      },
      fiber$trent :function _trc_Data_Enemy_f_trent(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        if (_this.aType==0) {
          _this.ATC=_this.bATC+_this.rnd(- 3,4)-_this.Target.MDF-_this.Target.Guard;
          _this.HP+=_this.ATC;
          if (_this.rHit<_this.Hit) {
            _this.passage="からHPを"+_this.ATC+"吸収した";
            
          } else {
            _this.passage="だが、あたらなかった";
            _this.vHit=0;
            
          }
          
        } else {
          if (_this.aType==3) {
            _this.Target=0;
            _this.All=1;
            _this.ATC=_this.bATC+2+_this.rnd(- 3,4);
            
          } else {
            if (_this.aType==1) {
              _this.ATC=_this.bATC+5+_this.rnd(- 6,8)-_this.Target.PDF-_this.Target.Guard;
            } else {
              _this.ATC=_this.bATC+8+_this.rnd(- 3,4)-_this.Target.PDF-_this.Target.Guard;
            }
            if (_this.rHit<_this.Hit) {
              _this.passage="";
              if (_this.CRT>=_this.rCRT) {
                _this.passage="クリティカル！　";
                _this.ATC*1.5;
                
              }
              if (_this.rAVD>_this.Target.AVD) {
                _this.passage+=""+_this.ATC+"のダメージ";
              } else {
                _this.passage=""+_this.PlayerName+"はかわした";
                _this.vHit=0;
                
              }
              
            } else {
              _this.passage="だが、あたらなかった";
              _this.vHit=0;
              
            }
            
          }
        }
        
        _thread.retVal=_this;return;
      },
      Status_Set :function _trc_Data_Enemy_Status_Set() {
        "use strict";
        var _this=this;
        
        if (_this.p==Tonyu.globals.$pat_kinoko) {
          _this.ID=0;
        }
        if (_this.p==Tonyu.globals.$pat_trent) {
          _this.ID=1;
        }
        _this.datas();
        _this.Name=_this.status[_this.ID][0];
        _this.Lv=_this.rnd(- 2,3);
        _this.HP=_this.status[_this.ID][1]/10*(10+_this.Lv);
        _this.atc=_this.status[_this.ID][2]/10*(10+_this.Lv);
        _this.pdf=_this.status[_this.ID][3]/10*(10+_this.Lv);
        _this.mdf=_this.status[_this.ID][4]/10*(10+_this.Lv);
        _this.spd=_this.status[_this.ID][5]/10*(10+_this.Lv);
        _this.exp=_this.status[_this.ID][6]/10*(10+_this.Lv);
      },
      fiber$Status_Set :function _trc_Data_Enemy_f_Status_Set(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        if (_this.p==Tonyu.globals.$pat_kinoko) {
          _this.ID=0;
        }
        if (_this.p==Tonyu.globals.$pat_trent) {
          _this.ID=1;
        }
        
        _thread.enter(function _trc_Data_Enemy_ent_Status_Set(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
              _this.fiber$datas(_thread);
              __pc=1;return;
            case 1:
              
              _this.Name=_this.status[_this.ID][0];
              _this.Lv=_this.rnd(- 2,3);
              _this.HP=_this.status[_this.ID][1]/10*(10+_this.Lv);
              _this.atc=_this.status[_this.ID][2]/10*(10+_this.Lv);
              _this.pdf=_this.status[_this.ID][3]/10*(10+_this.Lv);
              _this.mdf=_this.status[_this.ID][4]/10*(10+_this.Lv);
              _this.spd=_this.status[_this.ID][5]/10*(10+_this.Lv);
              _this.exp=_this.status[_this.ID][6]/10*(10+_this.Lv);
              _thread.exit(_this);return;
            }
          }
        });
      },
      datas :function _trc_Data_Enemy_datas() {
        "use strict";
        var _this=this;
        
        _this.status=[["キノコ",5,2,0,0,3,3]];
        _this.attackName=[["傘を投げつけてきた","触手を打ち付けてきた","自分の胞子をばらまいた"],["根を伸ばしてきた","枝を打ち付けてきた","根を刺してきた","全員へ根を刺してきた"]];
        _this.hitEffect=[[[Tonyu.globals.$pat_cut,1,1],[Tonyu.globals.$pat_whip,1,2],[false,"しかし、何も起こらなかった",false]],[Tonyu.globals.$pat_drain,Tonyu.globals.$pat_whip,Tonyu.globals.$pat_sting,Tonyu.globals.$pat_sting2]];
        _this.atc_per=[[40,80,100],[20,55,90,100]];
      },
      fiber$datas :function _trc_Data_Enemy_f_datas(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.status=[["キノコ",5,2,0,0,3,3]];
        _this.attackName=[["傘を投げつけてきた","触手を打ち付けてきた","自分の胞子をばらまいた"],["根を伸ばしてきた","枝を打ち付けてきた","根を刺してきた","全員へ根を刺してきた"]];
        _this.hitEffect=[[[Tonyu.globals.$pat_cut,1,1],[Tonyu.globals.$pat_whip,1,2],[false,"しかし、何も起こらなかった",false]],[Tonyu.globals.$pat_drain,Tonyu.globals.$pat_whip,Tonyu.globals.$pat_sting,Tonyu.globals.$pat_sting2]];
        _this.atc_per=[[40,80,100],[20,55,90,100]];
        
        _thread.retVal=_this;return;
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"mush":{"nowait":false},"trent":{"nowait":false},"Status_Set":{"nowait":false},"datas":{"nowait":false}},"fields":{"aType":{},"ATC":{},"bATC":{},"Target":{},"passage":{},"rHit":{},"Hit":{},"CRT":{},"rCRT":{},"rAVD":{},"PlayerName":{},"vHit":{},"HP":{},"All":{},"ID":{},"Name":{},"status":{},"Lv":{},"atc":{},"pdf":{},"mdf":{},"spd":{},"exp":{},"attackName":{},"hitEffect":{},"atc_per":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Field_Enemy',
  shortName: 'Field_Enemy',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Field_Enemy_main() {
        "use strict";
        var _this=this;
        
      },
      fiber$main :function _trc_Field_Enemy_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        
        _thread.retVal=_this;return;
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{}}
});
Tonyu.klass.define({
  fullName: 'user.Field_player',
  shortName: 'Field_player',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Field_player_main() {
        "use strict";
        var _this=this;
        
      },
      fiber$main :function _trc_Field_player_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        
        _thread.retVal=_this;return;
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{}}
});
Tonyu.klass.define({
  fullName: 'user.Field_writer',
  shortName: 'Field_writer',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Field_writer_main() {
        "use strict";
        var _this=this;
        
      },
      fiber$main :function _trc_Field_writer_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        
        _thread.retVal=_this;return;
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{}}
});
Tonyu.klass.define({
  fullName: 'user.Main',
  shortName: 'Main',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Main_main() {
        "use strict";
        var _this=this;
        
        Tonyu.globals.$uiScreen.setBGColor("Gray");
        Tonyu.globals.$Screen.setBGColor("Brack");
        Tonyu.globals.$Screen.resize(640,480);
        Tonyu.globals.$sw=Tonyu.globals.$screenWidth;
        Tonyu.globals.$sh=Tonyu.globals.$screenHeight;
        if (! localStorage.getItem("age")) {
          Tonyu.globals.$InputBox.open("Local Storageのテスト","年齢を入力してください");
          while (Tonyu.globals.$InputBox.getStatus()==0) {
            Tonyu.checkLoop();
            _this.update();
            
          }
          if (Tonyu.globals.$InputBox.getStatus()==1) {
            localStorage.setItem("age",Tonyu.globals.$InputBox.getText());
            _this.print("もう一度ブラウザをひらいてください");
            
          } else {
            _this.print("キャンセルしました");
            
          }
          
        } else {
          _this.test=localStorage.getItem("age");
          _this.print("「"+_this.test+"」はさっき入れてもらった年齢のはず");
          localStorage.removeItem("age");
          
        }
        Tonyu.globals.$Party=["Player1"];
        Tonyu.globals.$item=[[],[],[]];
        Tonyu.globals.$Battle_Observer=new Tonyu.classes.user.Battle_Observer({x: Tonyu.globals.$sw/2,y: Tonyu.globals.$sh/2,p: - 1,pat: 1,color_change: _this.color(180,80,80)});
      },
      fiber$main :function _trc_Main_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        Tonyu.globals.$uiScreen.setBGColor("Gray");
        Tonyu.globals.$Screen.setBGColor("Brack");
        Tonyu.globals.$Screen.resize(640,480);
        Tonyu.globals.$sw=Tonyu.globals.$screenWidth;
        Tonyu.globals.$sh=Tonyu.globals.$screenHeight;
        
        _thread.enter(function _trc_Main_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
              if (!(! localStorage.getItem("age"))) { __pc=4     ; break; }
              Tonyu.globals.$InputBox.open("Local Storageのテスト","年齢を入力してください");
            case 1:
              if (!(Tonyu.globals.$InputBox.getStatus()==0)) { __pc=3     ; break; }
              _this.fiber$update(_thread);
              __pc=2;return;
            case 2:
              
              __pc=1;break;
            case 3     :
              
              if (Tonyu.globals.$InputBox.getStatus()==1) {
                localStorage.setItem("age",Tonyu.globals.$InputBox.getText());
                _this.print("もう一度ブラウザをひらいてください");
                
              } else {
                _this.print("キャンセルしました");
                
              }
              __pc=5     ;break;
            case 4     :
              {
                _this.test=localStorage.getItem("age");
                _this.print("「"+_this.test+"」はさっき入れてもらった年齢のはず");
                localStorage.removeItem("age");
              }
            case 5     :
              
              Tonyu.globals.$Party=["Player1"];
              Tonyu.globals.$item=[[],[],[]];
              Tonyu.globals.$Battle_Observer=new Tonyu.classes.user.Battle_Observer({x: Tonyu.globals.$sw/2,y: Tonyu.globals.$sh/2,p: - 1,pat: 1,color_change: _this.color(180,80,80)});
              _thread.exit(_this);return;
            }
          }
        });
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{"test":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Battle',
  shortName: 'Battle',
  namespace: 'user',
  superclass: Tonyu.classes.user.Battle_Observer,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Battle_main() {
        "use strict";
        var _this=this;
        
        _this.x=Tonyu.globals.$sw/2;
        _this.y=Tonyu.globals.$sh/7;
        _this.scaleX=2.5;
        _this.scaleY=2;
        Tonyu.globals.$Battle_writer=new Tonyu.classes.user.Battle_Text;
        while (true) {
          Tonyu.checkLoop();
          Tonyu.globals.$turn++;
          Tonyu.globals.$fighters.sort(Tonyu.bindFunc(_this,_this.compareFunc));
          _this.i=0;for (; _this.i<Tonyu.globals.$players.length ; _this.i++) {
            Tonyu.checkLoop();
            {
              Tonyu.globals.$players[_this.i][1].select=1;
              _this.wait=1;
              while (Tonyu.bindFunc(_this,_this.wait)==1) {
                Tonyu.checkLoop();
                _this.update();
              }
            }
          }
          if (_this.flee) {
            break;
            
          }
          _this.i=0;for (; _this.i<Tonyu.globals.$fighters.length ; _this.i++) {
            Tonyu.checkLoop();
            {
              if (Tonyu.globals.$fighters[_this.i][1].HP>0) {
                _this.wait=1;
                Tonyu.globals.$fighters[_this.i][1].active=1;
                while (Tonyu.bindFunc(_this,_this.wait)==1) {
                  Tonyu.checkLoop();
                  _this.update();
                }
                _this.j=0;for (; _this.j<60 ; _this.j++) {
                  Tonyu.checkLoop();
                  _this.update();
                }
                
              }
            }
          }
          _this.i=0;for (; _this.i<Tonyu.globals.$fighters.length ; _this.i++) {
            Tonyu.checkLoop();
            {
              if (Tonyu.globals.$fighters[_this.i].HP<=0) {
                Tonyu.globals.$fighers.splice(_this.i,1);
              }
            }
          }
          Tonyu.globals.$fighters.sort(Tonyu.bindFunc(_this,_this.compareFunc));
          _this.updateEx(60);
          
        }
        Tonyu.globals.$Battle_Observer.Battle_now=0;
      },
      fiber$main :function _trc_Battle_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.x=Tonyu.globals.$sw/2;
        _this.y=Tonyu.globals.$sh/7;
        _this.scaleX=2.5;
        _this.scaleY=2;
        Tonyu.globals.$Battle_writer=new Tonyu.classes.user.Battle_Text;
        
        _thread.enter(function _trc_Battle_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              Tonyu.globals.$turn++;
              Tonyu.globals.$fighters.sort(Tonyu.bindFunc(_this,_this.compareFunc));
              _this.i=0;
            case 2:
              if (!(_this.i<Tonyu.globals.$players.length)) { __pc=7     ; break; }
              Tonyu.globals.$players[_this.i][1].select=1;
              _this.wait=1;
            case 3:
              if (!(Tonyu.bindFunc(_this,_this.wait)==1)) { __pc=5     ; break; }
              _this.fiber$update(_thread);
              __pc=4;return;
            case 4:
              
              __pc=3;break;
            case 5     :
              
            case 6     :
              _this.i++;
              __pc=2;break;
            case 7     :
              
              if (!(_this.flee)) { __pc=8     ; break; }
              __pc=21    ; break;
              
            case 8     :
              
              _this.i=0;
            case 9:
              if (!(_this.i<Tonyu.globals.$fighters.length)) { __pc=19    ; break; }
              if (!(Tonyu.globals.$fighters[_this.i][1].HP>0)) { __pc=17    ; break; }
              _this.wait=1;
              Tonyu.globals.$fighters[_this.i][1].active=1;
            case 10:
              if (!(Tonyu.bindFunc(_this,_this.wait)==1)) { __pc=12    ; break; }
              _this.fiber$update(_thread);
              __pc=11;return;
            case 11:
              
              __pc=10;break;
            case 12    :
              
              _this.j=0;
            case 13:
              if (!(_this.j<60)) { __pc=16    ; break; }
              _this.fiber$update(_thread);
              __pc=14;return;
            case 14:
              
            case 15    :
              _this.j++;
              __pc=13;break;
            case 16    :
              
            case 17    :
              
            case 18    :
              _this.i++;
              __pc=9;break;
            case 19    :
              
              _this.i=0;for (; _this.i<Tonyu.globals.$fighters.length ; _this.i++) {
                Tonyu.checkLoop();
                {
                  if (Tonyu.globals.$fighters[_this.i].HP<=0) {
                    Tonyu.globals.$fighers.splice(_this.i,1);
                  }
                }
              }
              Tonyu.globals.$fighters.sort(Tonyu.bindFunc(_this,_this.compareFunc));
              _this.fiber$updateEx(_thread, 60);
              __pc=20;return;
            case 20:
              
              __pc=1;break;
            case 21    :
              
              Tonyu.globals.$Battle_Observer.Battle_now=0;
              _thread.exit(_this);return;
            }
          }
        });
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{"j":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Battle_Enemy',
  shortName: 'Battle_Enemy',
  namespace: 'user',
  superclass: Tonyu.classes.user.Data_Enemy,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Battle_Enemy_main() {
        "use strict";
        var _this=this;
        
        _this.Status_Set();
        _this.pw=Tonyu.globals.$imageList[_this.p].width;
        _this.ph=Tonyu.globals.$imageList[_this.p].height;
        while (true) {
          Tonyu.checkLoop();
          if (_this.selected) {
            if (Tonyu.globals.$touches[0].touched==1&&_this.abs(Tonyu.globals.$touches[0].x-_this.x)<_this.pw/2&&_this.abs(Tonyu.globals.$touches[0].y-(_this.y-_this.ph/2))<_this.ph/2) {
              _this.selected.target=Tonyu.globals.$enemys[_this.order][1];
              _this.parallel(Tonyu.bindFunc(_this,_this.be_touched));
              
            }
            
          }
          _this.select=_this.rnd(100);
          _this.player=_this.rnd(0,Tonyu.globals.$players.length);
          if (_this.active==1) {
            do {
              Tonyu.checkLoop();
              _this.player=_this.rnd(0,Tonyu.globals.$players.length);
              
            } while (Tonyu.globals.$players[_this.player][1].HP<=0);
            
            _this.target=Tonyu.globals.$players[_this.player][1];
            _this.i=0;for (; _this.i<_this.atc_per[_this.ID].length ; _this.i++) {
              Tonyu.checkLoop();
              {
                if (_this.select<_this.atc_per[_this.ID][_this.i]) {
                  _this.aType=_this.i;
                  break;
                  
                  
                }
              }
            }
            _this.atc_value=_this.atc_calculation(_this.hitEffect[_this.ID][_this.aType][1],_this.hitEffect[_this.ID][_this.aType][2]);
            Tonyu.globals.$Battle_writer.passage.push("delete",_this.Name+"の攻撃！",_this.attackName[_this.ID][_this.aType]);
            if (_this.hitEffect[_this.ID][_this.aType][0]) {
              new Tonyu.classes.user.Battle_Effect({x: _this.target.x,y: _this.target.y,p: _this.hitEffect[_this.ID][_this.aType][0]});
            }
            _this.i=0;for (; _this.i<60 ; _this.i++) {
              Tonyu.checkLoop();
              _this.update();
            }
            if (Number.isNaN(Number(_this.hitEffect[_this.ID][_this.aType][1]))) {
              Tonyu.globals.$Battle_writer.passage.push("delete",_this.hitEffect[_this.ID][_this.aType][1]);
              
            } else {
              Tonyu.globals.$Battle_writer.passage.push("delete",_this.target.Name+"に",_this.atc_value+"のダメージ");
              
            }
            _this.target.slip_HP=_this.atc_value;
            _this.active=0;
            Tonyu.globals.$Battle.wait=0;
            
          }
          _this.update();
          
        }
        if (_this.move==1) {
          _this.Tx="";
          _this.Tx2="";
          _this.All=0;
          _this.print(_this.p);
          while (true) {
            Tonyu.checkLoop();
            _this.Player=_this.rnd(0,Tonyu.globals.$Party.length);
            
          }
          _this.vx=_this.Target.x;
          _this.vy=_this.Target.y;
          if (_this.All==1) {
            _this.vx=Tonyu.globals.$screenWidth/2;
            _this.vy=Tonyu.globals.$screenHeight/7*6;
            
          }
          if (_this.vHit==0) {
            _this.Tx2=_this.passage;
          } else {
            if (_this.All==1) {
              _this.Tx2="全体攻撃！　"+_this.passage;
            } else {
              _this.Tx2=""+_this.PlayerName+"へ"+_this.passage;
            }
            
          }
          _this.Path1="";
          _this.Path2="";
          _this.t=0;for (; _this.t<_this.Tx.length ; _this.t++) {
            Tonyu.checkLoop();
            {
              _this.Path1+=_this.Tx.substring(_this.t,_this.t+1);
              _this.drawText(Tonyu.globals.$screenWidth/2-230,Tonyu.globals.$screenHeight/5-50,""+_this.Path1,"white",25);
              _this.update();
            }
          }
          if (_this.vHit!=0) {
            if (_this.All==1) {
              if (Tonyu.globals.$Party==1) {
                Tonyu.globals.$Clone.vHP-=_this.ATC;
              }
              if (Tonyu.globals.$Party==2) {
                Tonyu.globals.$Clone.vHP-=_this.ATC;
                Tonyu.globals.$Psycho.vHP-=_this.ATC;
                
              }
              
            } else {
              _this.Target.vHP-=_this.ATC;
              
            }
            new _this.Effect({x: _this.vx,y: _this.vy,p: _this.vHit});
            
          }
          
        }
      },
      fiber$main :function _trc_Battle_Enemy_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        
        _thread.enter(function _trc_Battle_Enemy_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
              _this.fiber$Status_Set(_thread);
              __pc=1;return;
            case 1:
              
              _this.pw=Tonyu.globals.$imageList[_this.p].width;
              _this.ph=Tonyu.globals.$imageList[_this.p].height;
            case 2:
              if (_this.selected) {
                if (Tonyu.globals.$touches[0].touched==1&&_this.abs(Tonyu.globals.$touches[0].x-_this.x)<_this.pw/2&&_this.abs(Tonyu.globals.$touches[0].y-(_this.y-_this.ph/2))<_this.ph/2) {
                  _this.selected.target=Tonyu.globals.$enemys[_this.order][1];
                  _this.parallel(Tonyu.bindFunc(_this,_this.be_touched));
                  
                }
                
              }
              _this.select=_this.rnd(100);
              _this.player=_this.rnd(0,Tonyu.globals.$players.length);
              if (!(_this.active==1)) { __pc=11    ; break; }
            case 3:
              {
                _this.player=_this.rnd(0,Tonyu.globals.$players.length);
              }
            case 4     :
              if (Tonyu.globals.$players[_this.player][1].HP<=0) { __pc=3; break; }
            case 5     :
              
              _this.target=Tonyu.globals.$players[_this.player][1];
              _this.i=0;for (; _this.i<_this.atc_per[_this.ID].length ; _this.i++) {
                Tonyu.checkLoop();
                {
                  if (_this.select<_this.atc_per[_this.ID][_this.i]) {
                    _this.aType=_this.i;
                    break;
                    
                    
                  }
                }
              }
              _this.fiber$atc_calculation(_thread, _this.hitEffect[_this.ID][_this.aType][1], _this.hitEffect[_this.ID][_this.aType][2]);
              __pc=6;return;
            case 6:
              _this.atc_value=_thread.retVal;
              
              Tonyu.globals.$Battle_writer.passage.push("delete",_this.Name+"の攻撃！",_this.attackName[_this.ID][_this.aType]);
              if (_this.hitEffect[_this.ID][_this.aType][0]) {
                new Tonyu.classes.user.Battle_Effect({x: _this.target.x,y: _this.target.y,p: _this.hitEffect[_this.ID][_this.aType][0]});
              }
              _this.i=0;
            case 7:
              if (!(_this.i<60)) { __pc=10    ; break; }
              _this.fiber$update(_thread);
              __pc=8;return;
            case 8:
              
            case 9     :
              _this.i++;
              __pc=7;break;
            case 10    :
              
              if (Number.isNaN(Number(_this.hitEffect[_this.ID][_this.aType][1]))) {
                Tonyu.globals.$Battle_writer.passage.push("delete",_this.hitEffect[_this.ID][_this.aType][1]);
                
              } else {
                Tonyu.globals.$Battle_writer.passage.push("delete",_this.target.Name+"に",_this.atc_value+"のダメージ");
                
              }
              _this.target.slip_HP=_this.atc_value;
              _this.active=0;
              Tonyu.globals.$Battle.wait=0;
            case 11    :
              
              _this.fiber$update(_thread);
              __pc=12;return;
            case 12:
              
              __pc=2;break;
            case 13    :
              
              if (!(_this.move==1)) { __pc=20    ; break; }
              _this.Tx="";
              _this.Tx2="";
              _this.All=0;
              _this.print(_this.p);
            case 14:
              {
                _this.Player=_this.rnd(0,Tonyu.globals.$Party.length);
              }
              __pc=14;break;
            case 15    :
              
              _this.vx=_this.Target.x;
              _this.vy=_this.Target.y;
              if (_this.All==1) {
                _this.vx=Tonyu.globals.$screenWidth/2;
                _this.vy=Tonyu.globals.$screenHeight/7*6;
                
              }
              if (_this.vHit==0) {
                _this.Tx2=_this.passage;
              } else {
                if (_this.All==1) {
                  _this.Tx2="全体攻撃！　"+_this.passage;
                } else {
                  _this.Tx2=""+_this.PlayerName+"へ"+_this.passage;
                }
                
              }
              _this.Path1="";
              _this.Path2="";
              _this.t=0;
            case 16:
              if (!(_this.t<_this.Tx.length)) { __pc=19    ; break; }
              _this.Path1+=_this.Tx.substring(_this.t,_this.t+1);
              _this.drawText(Tonyu.globals.$screenWidth/2-230,Tonyu.globals.$screenHeight/5-50,""+_this.Path1,"white",25);
              _this.fiber$update(_thread);
              __pc=17;return;
            case 17:
              
            case 18    :
              _this.t++;
              __pc=16;break;
            case 19    :
              
              if (_this.vHit!=0) {
                if (_this.All==1) {
                  if (Tonyu.globals.$Party==1) {
                    Tonyu.globals.$Clone.vHP-=_this.ATC;
                  }
                  if (Tonyu.globals.$Party==2) {
                    Tonyu.globals.$Clone.vHP-=_this.ATC;
                    Tonyu.globals.$Psycho.vHP-=_this.ATC;
                    
                  }
                  
                } else {
                  _this.Target.vHP-=_this.ATC;
                  
                }
                new _this.Effect({x: _this.vx,y: _this.vy,p: _this.vHit});
                
              }
            case 20    :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      be_touched :function _trc_Battle_Enemy_be_touched() {
        "use strict";
        var _this=this;
        
        _this.alpha=255;for (; _this.alpha>144 ; _this.alpha-=20) {
          Tonyu.checkLoop();
          {
            _this.update();
            _this.size--;
          }
        }
        _this.alpha=144;for (; _this.alpha<255 ; _this.alpha+=20) {
          Tonyu.checkLoop();
          {
            _this.update();
            _this.size++;
          }
        }
        _this.alpha=255;
        _this.size=_this.def_size;
      },
      fiber$be_touched :function _trc_Battle_Enemy_f_be_touched(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        
        _thread.enter(function _trc_Battle_Enemy_ent_be_touched(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
              _this.alpha=255;
            case 1:
              if (!(_this.alpha>144)) { __pc=4     ; break; }
              _this.fiber$update(_thread);
              __pc=2;return;
            case 2:
              
              _this.size--;
            case 3     :
              _this.alpha-=20;
              __pc=1;break;
            case 4     :
              
              _this.alpha=144;
            case 5:
              if (!(_this.alpha<255)) { __pc=8     ; break; }
              _this.fiber$update(_thread);
              __pc=6;return;
            case 6:
              
              _this.size++;
            case 7     :
              _this.alpha+=20;
              __pc=5;break;
            case 8     :
              
              _this.alpha=255;
              _this.size=_this.def_size;
              _thread.exit(_this);return;
            }
          }
        });
      },
      atc_calculation :function _trc_Battle_Enemy_atc_calculation(type,power) {
        "use strict";
        var _this=this;
        var atc;
        var def;
        
        
        if (type==1) {
          def=_this.target.pdf*(0.75+_this.rnd()/2);
          atc=_this.floor(atc*power-def);
          if (atc>0) {
            return atc;
          } else {
            return 1;
          }
          
        }
        if (type==2) {
          def=_this.target.mdf*(0.75+_this.rnd()/2);
          atc=_this.floor(atc*power-def);
          if (atc>0) {
            return atc;
          } else {
            return 1;
          }
          
        }
      },
      fiber$atc_calculation :function _trc_Battle_Enemy_f_atc_calculation(_thread,type,power) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        var atc;
        var def;
        
        
        if (type==1) {
          def=_this.target.pdf*(0.75+_this.rnd()/2);
          atc=_this.floor(atc*power-def);
          if (atc>0) {
            _thread.retVal=atc;return;
            
          } else {
            _thread.retVal=1;return;
            
          }
          
        }
        if (type==2) {
          def=_this.target.mdf*(0.75+_this.rnd()/2);
          atc=_this.floor(atc*power-def);
          if (atc>0) {
            _thread.retVal=atc;return;
            
          } else {
            _thread.retVal=1;return;
            
          }
          
        }
        
        _thread.retVal=_this;return;
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"be_touched":{"nowait":false},"atc_calculation":{"nowait":false}},"fields":{"pw":{},"ph":{},"selected":{},"order":{},"select":{},"player":{},"active":{},"i":{},"atc_value":{},"move":{},"Tx":{},"Tx2":{},"Player":{},"vx":{},"vy":{},"Path1":{},"Path2":{},"t":{},"Effect":{},"def_size":{}}}
});

//# sourceMappingURL=concat.js.map